Package ru.bitel.oss.kernel.entity.server.utils

# Class AddressUtils

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.oss.kernel.entity.server.utils.AddressUtils

public class AddressUtils extends ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ADDRESS_FORMAT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddressUtils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static final String`
  `getAddress(String _address, AddressStruct addressStruct)`
  `static final String`
  `getAddress(Preferences setup, AddressStruct addressStruct)`
  Deprecated.
  Использовать `getAddress(Preferences, AddressStruct, String)`
  `static final String`
  `getAddress(Preferences setup, AddressStruct addressStruct, String formatKey)`
  `static final AddressStruct`
  `getAddressStruct(Connection con, int houseId, String flat, String room, String pod, String floor, String comment)`
  `static final AddressStruct`
  `getAddressStruct(Connection con, int houseId, EntityAttrAddress attrAddress)`
  `static String`
  `getHouse(String value)`
  `static String`
  `getHouseFrac(String value)`
  `static void`
  `importData(Connection con, String table, String parentName, int id, String data)`
  `static void`
  `importHouseData(Connection con, String table, int id, String data)`
  `static void`
  `onUpdateAddressArea(Setup setup, int areaId)`
  Обновление адресов на изменение названия района
  `static void`
  `onUpdateAddressArea(Setup setup, int areaId, Callable<?> callable)`
  Обновление адресов на изменение названия района
  `static void`
  `onUpdateAddressCity(Setup setup, int cityId)`
  Обновление адресов на изменение названия города
  `static void`
  `onUpdateAddressCity(Setup setup, int cityId, Callable<?> callable)`
  Обновление адресов на изменение названия города
  `static void`
  `onUpdateAddressQuarter(Setup setup, int quarterId)`
  Обновление адресов на изменение названия квартала
  `protected static void`
  `onUpdateAddressQuarter(Setup setup, int quarterId, Callable<?> callable)`
  Обновление адресов на изменение названия квартала
  `static void`
  `onUpdateAddressStreet(Setup setup, int streetId)`
  Обновление адресов на изменение названия улицы
  `static void`
  `onUpdateAddressStreet(Setup setup, int streetId, Callable<?> callable)`
  Обновление адресов на изменение названия улицы
  `static void`
  `onUpdateHouse(Setup setup, int hid)`
  Обновление адресов на изменение дома
  `static void`
  `onUpdateHouse(Setup setup, int hid, Callable<?> callable)`
  Обновление адресов на изменение дома

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ADDRESS_FORMAT

    public static final String ADDRESS_FORMAT
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AddressUtils

    public AddressUtils()

- ## Method Details

  - ### onUpdateAddressCity

    public static void onUpdateAddressCity(Setup setup, int cityId)
    Обновление адресов на изменение названия города
    Parameters:
      `setup` -
      `cityId` -

  - ### onUpdateAddressCity

    public static void onUpdateAddressCity(Setup setup, int cityId, Callable<?> callable)
    Обновление адресов на изменение названия города
    Parameters:
      `setup` -
      `cityId` -
      `callable` -

  - ### onUpdateAddressStreet

    public static void onUpdateAddressStreet(Setup setup, int streetId)
    Обновление адресов на изменение названия улицы
    Parameters:
      `setup` -
      `streetId` -

  - ### onUpdateAddressStreet

    public static void onUpdateAddressStreet(Setup setup, int streetId, Callable<?> callable)
    Обновление адресов на изменение названия улицы
    Parameters:
      `setup` -
      `streetId` -
      `callable` -

  - ### onUpdateAddressArea

    public static void onUpdateAddressArea(Setup setup, int areaId)
    Обновление адресов на изменение названия района
    Parameters:
      `setup` -
      `areaId` -

  - ### onUpdateAddressArea

    public static void onUpdateAddressArea(Setup setup, int areaId, Callable<?> callable)
    Обновление адресов на изменение названия района
    Parameters:
      `setup` -
      `areaId` -
      `callable` -

  - ### onUpdateAddressQuarter

    public static void onUpdateAddressQuarter(Setup setup, int quarterId)
    Обновление адресов на изменение названия квартала
    Parameters:
      `setup` -
      `quarterId` -

  - ### onUpdateAddressQuarter

    protected static void onUpdateAddressQuarter(Setup setup, int quarterId, Callable<?> callable)
    Обновление адресов на изменение названия квартала
    Parameters:
      `setup` -
      `quarterId` -
      `callable` -

  - ### onUpdateHouse

    public static void onUpdateHouse(Setup setup, int hid)
    Обновление адресов на изменение дома
    Parameters:
      `setup` -
      `hid` -

  - ### onUpdateHouse

    public static void onUpdateHouse(Setup setup, int hid, Callable<?> callable)
    Обновление адресов на изменение дома
    Parameters:
      `setup` -
      `hid` -
      `callable` -

  - ### getAddress

    @Deprecated public static final String getAddress(Preferences setup, AddressStruct addressStruct)
    Deprecated.
    Использовать `getAddress(Preferences, AddressStruct, String)`
    Parameters:
      `setup` -
      `addressStruct` -
    Returns:

  - ### getAddress

    public static final String getAddress(Preferences setup, AddressStruct addressStruct, String formatKey)

  - ### getAddressStruct

    public static final AddressStruct getAddressStruct(Connection con, int houseId, EntityAttrAddress attrAddress) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getAddressStruct

    public static final AddressStruct getAddressStruct(Connection con, int houseId, String flat, String room, String pod, String floor, String comment) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getAddress

    public static final String getAddress(String _address, AddressStruct addressStruct)

  - ### getHouseFrac

    public static String getHouseFrac(String value)

  - ### getHouse

    public static String getHouse(String value)

  - ### importHouseData

    public static void importHouseData(Connection con, String table, int id, String data) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### importData

    public static void importData(Connection con, String table, String parentName, int id, String data) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`